@charset "UTF-8";
// progress step
$ps-bg:#D9D9D9 !default;
$ps-fg:#fff !default;
$ps-bg-active:#2097F4 !default;
$ps-fg-active:#fff !default;
.progress-step {
    $bd-width: 2px;
    $step-diameter: 1.7em;
    display: block;
    width: 100%;
    font-size: 0;
    .step {
        @include inline-block;
        position: relative;
        padding: 1px;
        @include font-size-rem-ie8(1);
        text-align: center;
        overflow: hidden;
        &:before, &:after {
            content: "";
            position: absolute;
            display: block;
            width: 50%;
            bottom: $step-diameter / 2;
            margin-bottom: $bd-width;
            border-bottom: $bd-width solid $ps-bg;
        }
        &:before {
            right: 50%;
            margin-right: $step-diameter / 2;
        }
        &:after {
            left: 50%;
            margin-left: $step-diameter / 2;
        }
        &:first-child {
            text-align: left;
            &:before {
                display: none;
            }
            &:after {
                left: $step-diameter;
                width: 100%;
            }
        }
        &:last-child {
            text-align: right;
            &:before {
                right: $step-diameter;
                width: 100%;
            }
            &:after {
                display: none;
            }
        }
        &.active {
            &:before, &:after {
                border-color: $ps-bg-active;
            }
            .step-icon {
                color: $ps-fg-active;
                background: $ps-bg-active;
            }
        }
    }
    .step-inner {
        @include inline-block;
        text-align: center;
    }
    .step-icon {
        @include inline-block;
        width: $step-diameter;
        height: $step-diameter;
        line-height: $step-diameter;
        font-size: 1.4em;
        @include border-radius(50%);
        color: $ps-fg;
        background: $ps-bg;
    }
    .step-text {
        display: block;
        margin-bottom: 0.4em;
    }
    @for $i from 2 to 5 {
        &.progress-step-#{$i} {
            .step {
                width: 100% / $i;
            }
        }
    }
}

.go-prog {
    padding: 30px 10px;
    overflow: hidden;
    .go-prog-item {
        @include inline-block;
        width: 32%;
        position: relative;
        text-align: center;
        &:first-child:after {
            background-color: #FFF !important;
            z-index: 5 !important;
        }
        &:after {
            content: "";
            position: absolute;
            top: 50%;
            right: 50%;
            left: -100%;
            height: 1px;
            margin-top: 15px;
            background-color: #dddee0;
            z-index: 2;
        }
        &:before {
            margin-right: -5px;
            content: "";
            position: absolute;
            top: 50%;
            right: 50%;
            margin-top: 10px;
            width: 11px;
            height: 11px;
            border: 2px solid #DFE3E7;
            @include border-radius(50%);
            background-color: #fff;
            padding: 1px;
            z-index: 6;
        }
        &.pass:before {
            border-color: #2196f3;
        }
        &.pass:after {
            background-color: #2196f3;
            z-index: 3;
        }
        .go-prog-text {
            @include inline-block;
            min-width: 75px;
            position: relative;
            z-index: 3;
        }
    }
}
